import { select } from 'd3';
import { vizData } from './vizData';
import { makeData } from './makeData';

const width = window.innerWidth;
const height = window.innerHeight;

const svg = select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height);

const n = 25 + Math.sin(0.1 * 5);
const data = makeData(n);
svg.call(vizData, data)
