// import * as d3 from 'd3';

// const color = d3.scale.category20();
// console.log(color);

export function vizData(selection, data) { // named export
  // .join - shorthand for enter and merge blocks
  selection
    .selectAll('circle')
    .data(data)
    .join('circle') // doing the same thing as .enter .merge
    .attr('r', (d) => d.r * Math.random())
    .attr('cx', (d) => d.x)
    .attr('cy', (d) => d.y)
  	//.attr('fill', (d) => color[d]);
  	.attr('fill', (d) => `rgb(${255 * Math.random()}, ${255 * Math.random()}, ${255 * Math.random()})`);
}